package cn.axzo.msg.center.service.enums;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 预设按钮类型
 *
 * @author yanglin
 */
@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum PresetButtonType implements CodeDefinition<String> {

    AGREE("同意"),
    REJECT("驳回");

    private final String desc;

    @Override
    public String getCode() {
        return name();
    }
}